public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Andrew Savchenko" <bircoph@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-util/oprofile/
Date: Tue, 22 Nov 2016 17:10:32 +0000 (UTC)	[thread overview]
Message-ID: <1479834603.6ab65f73b3551029fe5ab7210d3378c757bfa143.bircoph@gentoo> (raw)

commit:     6ab65f73b3551029fe5ab7210d3378c757bfa143
Author:     Andrew Savchenko <bircoph <AT> gentoo <DOT> org>
AuthorDate: Tue Nov 22 17:10:03 2016 +0000
Commit:     Andrew Savchenko <bircoph <AT> gentoo <DOT> org>
CommitDate: Tue Nov 22 17:10:03 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6ab65f73

dev-util/oprofile: version bump

- add latest snapshot;
- upgrade to EAPI 6;
- install event files only for target architecture (bug 580016).

Package-Manager: portage-2.3.2
Signed-off-by: Andrew Savchenko <bircoph <AT> gentoo.org>

 dev-util/oprofile/Manifest                         |  1 +
 .../oprofile/oprofile-1.2.0_pre20161027.ebuild     | 93 ++++++++++++++++++++++
 2 files changed, 94 insertions(+)

diff --git a/dev-util/oprofile/Manifest b/dev-util/oprofile/Manifest
index e5c9b78..b2368e2 100644
--- a/dev-util/oprofile/Manifest
+++ b/dev-util/oprofile/Manifest
@@ -1,2 +1,3 @@
 DIST oprofile-0.9.9.tar.gz 1502834 SHA256 1e523400daaba7b8d0d15269e977a08b40edfea53970774b69ae130e25117597 SHA512 98cc3d2c15744d02ed649833cf4797482aec73bd52653e916f80b490e17a8250d988c4c945e52dd8999a0d0603fec405e99c9570dfc54baa4992950fe4d8763f WHIRLPOOL 534d04449923da5008dbf044f9783a1d39ad8b749170edf04a503ca1a885455fc8aef4f5894060d14135f5e3b0a0d577897779eed30dc26deff9b0663fcbb7d1
 DIST oprofile-1.1.0.tar.gz 1468502 SHA256 cf759a6de1a6033d5dfc93bda129a9f2e128aecc4238cc657feb0801d1b0366c SHA512 b26f67f20172a4912c0aafb3adf83f9084ea62b9ca89e4cfcb3e13276114a05b07587f7d250028995a10c39ae993e2bce271be11688010473ab9f0fd81715758 WHIRLPOOL b268af1578c485165624e0152751b6c5053c745e6813d6f13ea554993f311e540312854a36011e10560e82c378ef1fc357220a69cd713f73824ae249cc150650
+DIST oprofile-1.2.0_pre20161027.patch.xz 19496 SHA256 37f7a7cf2cd78a5131bcdac4f9d6d9847cf485a841590a1023e923a26dee9eec SHA512 e11f1adfee6cf78daf94d2f7ce6d05daaaec8937cc4074c6dddc06abab34aa3ec4dce350b632f3e240bf31339562f0c723b2c9816d05588e9ecfea49584f821f WHIRLPOOL bf6663a2771e1729452cf2897083edfbcd9e4934061e82553586eb0bf2602c906b033a449a615679839bf12578e5f5ef43bb73b923370b74158825693113e949

diff --git a/dev-util/oprofile/oprofile-1.2.0_pre20161027.ebuild b/dev-util/oprofile/oprofile-1.2.0_pre20161027.ebuild
new file mode 100644
index 00000000..7ddfcc0
--- /dev/null
+++ b/dev-util/oprofile/oprofile-1.2.0_pre20161027.ebuild
@@ -0,0 +1,93 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="6"
+inherit autotools java-pkg-opt-2 linux-info user
+
+MY_P=${PN}-1.1.0
+DESCRIPTION="A transparent low-overhead system-wide profiler"
+HOMEPAGE="http://${PN}.sourceforge.net"
+SRC_URI="mirror://sourceforge/${PN}/${MY_P}.tar.gz
+	https://dev.gentoo.org/~bircoph/patches/${P}.patch.xz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~mips ~ppc ~ppc64 ~sparc ~x86"
+IUSE="java pch"
+
+RDEPEND=">=dev-libs/popt-1.7-r1
+	sys-libs/binutils-libs
+	>=sys-libs/glibc-2.3.2-r1
+	java? ( >=virtual/jdk-1.5:= )
+	ppc64? ( dev-libs/libpfm )"
+DEPEND="${RDEPEND}
+	>=sys-kernel/linux-headers-2.6.31"
+
+S="${WORKDIR}/${MY_P}"
+
+CONFIG_CHECK="PERF_EVENTS"
+ERROR_PERF_EVENTS="CONFIG_PERF_EVENTS is mandatory for ${PN} to work."
+
+PATCHES=( "${WORKDIR}/${P}.patch" )
+
+pkg_setup() {
+	linux-info_pkg_setup
+	if ! kernel_is -ge 2 6 31; then
+		echo
+		ewarn "Support for kernels before 2.6.31 has been dropped in ${PN}-1.0.0."
+		echo
+	fi
+
+	# Required for JIT support, see README_PACKAGERS
+	enewgroup ${PN}
+	enewuser ${PN} -1 -1 -1 ${PN}
+
+	use java && java-pkg_init
+}
+
+src_prepare() {
+	default
+	# bug #600000
+	epatch "${FILESDIR}/${PN}-1.1.0-gcc6-template-depth.patch"
+	eautoreconf
+}
+
+src_configure() {
+	econf \
+		--disable-werror \
+		$(use_enable pch) \
+		$(use_with java java ${JAVA_HOME})
+}
+
+src_install() {
+	emake DESTDIR="${D}" htmldir="/usr/share/doc/${PF}" install
+
+	dodoc ChangeLog* README TODO
+	echo "LDPATH=${PREFIX}/usr/$(get_libdir)/${PN}" > "${T}/10${PN}" || die
+	doenvd "${T}/10${PN}"
+
+	# filter out event files for alien arches, bug 580016
+	cd "${D}/usr/share/${PN}" || die
+	local arch="${ARCH}" f
+	case "${arch}" in
+		x86)
+			arch=i386
+			;;
+		amd64)
+			arch=x86-64
+			;;
+	esac
+	for f in $(find -O3 -mindepth 1 -maxdepth 1 -type d ! -name "${arch}" ); do
+		rm -r "${f}" || die
+	done
+}
+
+pkg_postinst() {
+	echo
+	elog "Starting from ${PN}-1.0.0 opcontrol was removed, use operf instead."
+	elog "CONFIG_OPROFILE is no longer used, you may remove it from your kernels."
+	elog "Please read manpages and this html doc:"
+	elog "  /usr/share/doc/${PF}/${PN}.html"
+	echo
+}


             reply	other threads:[~2016-11-22 17:10 UTC|newest]

Thread overview: 48+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2016-11-22 17:10 Andrew Savchenko [this message]
  -- strict thread matches above, loose matches on Subject: below --
2022-11-24  3:25 [gentoo-commits] repo/gentoo:master commit in: dev-util/oprofile/ Mike Gilbert
2021-07-23 19:57 Conrad Kostecki
2021-07-22 19:28 Conrad Kostecki
2021-07-22 19:28 Conrad Kostecki
2021-05-04  7:03 Agostino Sarubbo
2021-05-03 16:53 Sam James
2021-05-02 13:29 Andrew Savchenko
2020-12-02 23:21 Sam James
2020-08-30 13:05 Andrew Savchenko
2019-07-14 13:46 Andrew Savchenko
2019-06-13 19:17 Markus Meier
2019-05-26  7:31 Sergei Trofimovich
2019-05-13  0:38 Thomas Deutschmann
2019-05-07  8:46 Tobias Klausmann
2019-04-19  1:32 Aaron Bauman
2018-12-19 22:48 Sergei Trofimovich
2018-12-08 12:14 Mikle Kolyada
2018-11-28 20:14 Tobias Klausmann
2018-10-30 13:21 Mikle Kolyada
2018-10-28 21:29 Thomas Deutschmann
2018-10-27 20:08 Andrew Savchenko
2017-12-10  9:27 Ulrich Müller
2017-09-14 22:01 Sven Wegener
2017-08-23  6:42 Andrew Savchenko
2017-08-23  6:42 Andrew Savchenko
2017-08-07 15:24 Andrew Savchenko
2017-07-30 11:55 Andrew Savchenko
2016-12-25 22:45 Andrew Savchenko
2016-12-25 10:23 Agostino Sarubbo
2016-12-25 10:23 Agostino Sarubbo
2016-12-25 10:09 Agostino Sarubbo
2016-12-25 10:09 Agostino Sarubbo
2016-12-24 10:18 Agostino Sarubbo
2016-12-24 10:18 Agostino Sarubbo
2016-06-02 19:10 Tobias Klausmann
2016-06-02 18:58 Tobias Klausmann
2016-05-25  5:59 Jeroen Roovers
2016-05-25  5:59 Jeroen Roovers
2016-05-25  5:47 Jeroen Roovers
2016-05-25  5:30 Jeroen Roovers
2016-04-19 19:33 Markus Meier
2016-04-05 11:56 Jeroen Roovers
2016-04-01 19:10 Markus Meier
2016-03-22 14:32 Agostino Sarubbo
2016-03-19 16:32 Agostino Sarubbo
2015-09-29 19:49 Andrew Savchenko
2015-09-29 19:49 Andrew Savchenko

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1479834603.6ab65f73b3551029fe5ab7210d3378c757bfa143.bircoph@gentoo \
    --to=bircoph@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox